package com.edgec.browserbackend.browser.controller;

import com.edgec.browserbackend.browser.domain.UserCode;
import com.edgec.browserbackend.browser.service.TempService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 一些临时执行的代码可以放在这里，方便删除
 */
@RestController
@RequestMapping("/temp")
public class TempController {

    @Autowired
    private TempService tempService;

    /**
     * 记住用户明文密码
     */
    @PostMapping(value = "/usercode")
    public void addUserCode(@RequestBody UserCode userCode) {
        tempService.save(userCode);
    }

    @GetMapping("/{ip}")
    public String getPaasword(@PathVariable("ip") String ip) {
        return tempService.getPaasword(ip);
    }

}
